WESNOTHD(6)

IME
wesnothd -- višeigrački mrežni domar "Boja za Vesnot"

PREGLED
wesnothd [-dv] [-c putanja] [-p port] [-t broj] [-T broj]
wesnothd -V

OPIS
Upravlja višeigračkim partijama "Boja za Vesnot". Pogledajte http://www.wesnoth.org/wiki/ServerAdministration za naredbe koje server prihvata preko klijenta (/query ...) ili fifoa.

OPCIJE

-c putanja, --config putanja
    kazuje domaru gdje se nalazi postavna datoteka. Za sintaksu pogledajte odjeljak POSTAVA SERVERA ispod. Postavu možete ponovo učitati slanjem SIGHUP serverskom procesu.

-d, --daemon
    pokreće wesnothd kao domar.

-h, --help
    govori vam šta čine opcije komandne linije.

--log-nivo=domen1,domen2,...
    postavlja nivo ozbiljnosti domena bilježenja. all se može upotrijebiti za poklapanje svih domena, a dostupni su: error, warning, info, debug. Podrazumijevano se koristi error, osim za domen server gdje info.

-p port, --port port
    vezuje server za navedeni port. Ako se port ne navede, podrazumijevano se koristi 15000.

-t broj, --threads broj
    postavlja najveći broj radnih niti na čekanju za mrežni U/I (podrazumijevano: 5, najviše: 30).

-T broj, --max-threads broj
    postavlja najveći broj radnih niti koje mogu biti stvorene; ako se zada 0, nema ograničenja (podrazumijevano: 0).

-V, --version
    prikazuje broj verzije i izlazi.

-v, --verbose
    uključuje ispravljačko bilježenje.

POSTAVA SERVERA

  Opšta sintaksa je:

[oznaka]

    ključ="vrijednost"

    ključ="vrijednost,vrijednost,..."

[/oznaka]

  Globalni ključevi:

allow_remote_shutdown
    ako se zada no (podrazumijevano), zahtjevi za gašenje i ponovno pokretanje se ignorišu osim ako stižu iz fifoa. Zadajte yes da dozvolite udaljeno gašenje na /query administratora.

ban_save_file
    Puna ili relativna putanja do (gzipovane) datoteke koju server može da čita i piše. Zabrane će biti zapisivane u nju, i čitane po narednom pokretanju servera.

compress_stored_rooms
    određuje da li datoteku soba treba čitati i pisati u kompresovanom obliku. Podrazumijevano yes.

connections_allowed
    broj dozvoljenih veza sa iste IP adrese, 0 znači bezbroj (podrazumijevno: 5)

disallow_names
    imena/nadimci koje server ne prihvata. Prihvataju se * i ? kao džokeri (pogledajte glob(7) za više detalja). Podrazumijevane vrijednosti, koje se koriste ako se ništa ne zada, su: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    putanja do fifoa iz kojeg server može da čita naredbe (iste kao /query ... iz igre). Ako nije zadata, spada na ugrađenu (podrazumijevano: /var/run/socket/wesnothd/socket).

max_messages
    broj dozvoljenih poruka za vrijeme messages_time_period (podrazumijevano: 4)

messages_time_period
    vremenski period u sekundama koji se razmatra za otkrivanje poplave poruka (podrazumijevano: 10 sekundi)

motd
    poruka dana

new_room_policy
    određuje ko može da stvara nove sobe na serveru. Moguće vrijednosti su everyone, registered, admin i nobody, dajući dozvolu, redom, svima, registrovanim korisnicima, administratorima i nikome. Podrazumijevana vrijednost je everyone.

passwd
    lozinka za sticanje administratorskih ovlašćenja (putem /query admin lozinka).

replay_save_path
    Direktorijum gdje server smiješta snimke partija (ne zaboravite prateće /!). Podrazumijevano je ” (prazno), što znači direktorijum u kojem je wesnothd pokrenut.

restart_command
    Naredba kojom server pokreće novi serverski proces pri naredbi restart. (Može se izdati samo preko fifoa. Vidi postavku allow_remote_shutdown.)

room_save_file
    putanja do datoteke gdje se skladište podaci sobe. Ovu datoteku čita server pri pokretanju, i kasnije upisuje. Ako je prazno ili nije zadato, sobe se ne učitavaju niti upisuju.

save_replays
    Određuje da li server automatski upisuje snimke partija (podrazumijevno: false).

versions_accepted
    Zapetama razdvojen spisak niski verzija koje server prihvata. Prihvataju se * i ? kao džokeri (podrazumijevana je verzija klijenta koja odgovara verziji servera)
    Primjer: versions_accepted="*" prihvata bilo koju nisku verzije.

user_handler
    Ime rukovaoca korisnicima. Trenutno dostupni su forum (server se povezuje sa phpBB bazom podataka foruma) i sample (primjerna izvedba sučelja rukovaoca korisnicima, ludi ste ako ovo upotrijebite negdje zaozbiljno). Podrazumijevana vrijednost je forum. Takođe morate dodati odjeljak [user_handler], v. ispod.

  Globalne oznake:

[redirect] oznaka za navođenje servera na koji se preusmjeravaju neke verzije klijenta

    host
        adresa servera na koji se preusmjerava

    port
        port na koji se povezuje

    version
        zapetama razdvojen spisak verzija koje se preusmjeravaju. Ponaša se isto kao i versions_accepted u pogledu džokera

[ban_time] oznaka za određivanje zgodnih ključnih riječi za privremene zabrane.

    name
        Ime koje upućuje na trajanje zabrane.

    time
        Trajanje. Format je %d[%s[%d%s[...]]] gdje s iz %s označava sekunde, m minute, h sate, D dane, M mjesece, Y godine, a d je broj. Ako nije dat modifikator, pretpostavljaju se minuti (m). Primjer: time="1D12h30m" znači zabranu u trajanju od jednog dana, 12 sati i 30 minuta.

[proxy] oznaka koja govori serveru da se ponaša kao posrednik i prosljeđuje zahtjeve povezanih klijenata na određeni server. Prihvata iste ključeve kao i [redirect]

[user_handler] podešava rukovalac korisnicima. Dostupnost ključeva zavisi od toga koji je rukovalac postavljen ključem user_handler. Ako u postavi nema odijeljka [user_handler], server neće pružati uslugu registrovanja nadimaka.

    db_host
        (za user_handler=forum) ime domaćina servera baze podataka

    db_name
        (za user_handler=forum) ime baze podataka

    db_user
        (za user_handler=forum) ime korisnika pod kojim se prijavljuje u bazu podataka

    db_password
        (za user_handler=forum) lozinka zadatog korisnika

    db_users_table
        (za user_handler=forum) ime tabele u kojoj phpBB forumi upisuju podatke o korisnicima. Najvjerovatnije će to biti <prefiks-tabele>_users (npr. phpbb3_users).

    db_extra_table
        (za user_handler=forum) ime tabele u koju wesnothd upisuje svoje podatke o korisnicima. Ovu tabelu moraćete ručno da napravite, npr.: CREATE TABLE <ime-tabele>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (za user_handler=sample) vrijeme po kojem registrovani nadimak ističe (u danima).

[mail] podešava SMTP server kroz koji rukovalac korisnicima šalje poštu. Trenutno samo za primjerni rukovalac.

    server
        Ime domaćina udaljenog servera

    username
        Korisničko ime za prijavljivanje na poštanski server.

    password
        Korisnikova lozinka.

    from_address
        Adresa za odgovore na vašu poštu.

    mail_port
        Port na kojem sluša poštanski server. Podrazumijevano 25.

IZLAZNO STANJE
Redovno izlazno stanje je 0, kada je server pravilno ugašen. Stanje 2 ukazuje na grešku u opcijama komandne linije.

AUTOR
Napisao Dejvid Vajt (David White) <davidnwhite@verizon.net>. Uredili Nils Knojper (Nils Kneuper) <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> i Tomas Baumhauer (Thomas Baumhauer) <thomas.baumhauer@gmail.com>. Ovu uputnu stranicu prvobitno je napisao Siril Butor (Cyril Bouthors) <cyril@bouthors.org>.
Posjetite zvaničnu domaću stranicu: http://www.wesnoth.org/

AUTORSKA PRAVA
Autorska prava © 2003-2013 Dejvid Vajt (David White) <davidnwhite@verizon.net>.
Ovo je slobodan softver; licenciran je pod uslovima OJL verzije 2 (GPLv2), koju izdaje Zadužbina za slobodni softver. Nema BILO KAKVE GARANCIJE; čak ni za KOMERCIJALNU VRIJEDNOST ili ISPUNJAVANJE ODREĐENE POTREBE.

POGLEDATI JOŠ
wesnoth(6).